* {
  --maincolor: #06f;
  --padding-main: 15px;
  --boxshadow: 0px 2px 4px 2px rgba(0, 0, 0, 0.33);
  margin: 0;
  padding: 0;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
}

#root {
  position: relative;
  height: 100vh;
  display: flex;
  overflow: hidden;
}

#root > aside {
  display: flex;
  flex-direction: column;
}

span {
  color: var(--maincolor);
}

form {
  position: absolute;
  top: 0;
  left: 0;
  padding: var(--padding-main);
  z-index: 1000;
  display: flex;
  justify-content: space-evenly;
  gap: 20px;
  box-sizing: border-box;
  align-items: center;
  justify-content: flex-end;
  label {
    font-size: small;
    color: rgb(140, 140, 140);
    span {
      color: red;
    }
  }
  div {
    flex: 1;
    display: flex;
    justify-content: space-evenly;
    align-items: start;
    box-shadow: var(--boxshadow);
    flex-direction: column;

    label {
      color: black;
      padding: 0 5px;
    }
  }
}

form > div,
input {
  background-color: rgb(220, 219, 216);
  padding: 5px;
  border: none;
  border-radius: 10px;
  box-sizing: border-box;
}

input:focus {
  outline: none;
}

input[type="image"] {
  padding: 8px;
  height: 45px;
  width: 45px;
  box-shadow: var(--boxshadow);
}

form,
input {
  width: 100%;
}

.leaflet-container {
  width: 100% !important;
  height: 100% !important;
}

.sidebar {
  width: 300px;
  padding: 10px 5px;
  height: 80%;
  background: linear-gradient(70deg, rgb(255, 255, 255), rgb(187, 194, 195));
  position: absolute;
  border-radius: 10px;
  box-shadow: var(--boxshadow);
  left: 17px;
  top: 15%;
  z-index: 9999;
  transition: 0.5s;
  h2 {
    font-size: 1rem;
    padding: 5px 15px 15px;
    position: relative;
    &::after {
      content: "";
      width: calc(100% + 10px);
      position: absolute;
      height: 2px;
      right: 0;
      bottom: 0;
      background: #06f;
      transform: translateX(5px);
      box-shadow: var(--boxshadow);
    }
  }
  input {
    border-radius: 100%;
    position: absolute;
    top: 50%;
    right: -7%;
    transition: 0.5s;
  }
  .sidebar-menu {
    list-style: none;
    padding: 5px 20px 5px 5px;
    display: flex;
    flex-direction: column;
    overflow-y: scroll;
    height: 90%;

    &::-webkit-scrollbar {
      width: 5px;
    }
    &::-webkit-scrollbar-thumb {
      background-color: #888888ce; /* Couleur du bouton */
      border-radius: 5px; /* Arrondi du bouton */
    }

    &::-webkit-scrollbar-track {
      background-color: #eee; /* Couleur de la piste */
      border-radius: 5px; /* Arrondi de la piste */
    }
  }
  .card {
    background: rgb(250, 250, 250);
    margin: 10px 0;
    padding: 10px;
    border-radius: 10px;
    box-shadow: var(--boxshadow);

    &:hover {
      cursor: pointer;
      .description {
        max-height: none;
      }
    }
    .title {
      display: flex;
      align-items: center;
      text-decoration: underline;

      img {
        width: 20px;
        padding: 5px;
        z-index: 1;
      }
    }

    .card-details {
      padding: 10px 10px 10px 30px;
      border-radius: 10px;
      display: flex;
      flex-direction: column;
      position: relative;
      gap: 5px;
      &::after {
        content: "";
        width: 4px;
        position: absolute;
        height: 95%;
        left: 5%;
        top: 0;
        background: #d2d1d1;
      }
    }
    .description {
      font-size: 13px;
      text-align: justify;
    }
  }
}
.sidebar.hidden {
  transform: translateX(-350px);

  input {
    right: -30%;
    transform: rotate(180deg);
  }
}

h5,
h6 {
  font-size: 14px;
}

@media (max-width: 770px) {
  form {
    width: auto;
    flex-wrap: wrap;

    input {
      width: auto;
      font-size: 0.7rem;
      height: 15px;
    }
  }
  .sidebar {
    width: 85%;
    height: 70%;
    top: 25%;

    input {
      top: -7%;
      left: 45%;
      transform: rotate(270deg);
    }
  }
  .sidebar.hidden {
    transform: translateY(105%);

    input {
      top: -15%;
      left: 45%;
      transform: rotate(90deg);
    }
  }
}

@media (max-width: 390px) {
  .sidebar {
    height: 50%;
    top: 45%;
    width: 89%;

    & .sidebar-menu {
      height: 80%;
    }
  }
  .sidebar.hidden {
    input {
      top: -20%;
    }
  }
}
